---
id: affiliation
title: Affiliation
---

export const Tag = ({children, color}) => (
<span
style={{
      backgroundColor: color,
      borderRadius: '2px',
      color: '#fff',
      padding: '0.2rem',
    }}>
{children}
</span>
);

No description

```graphql
type Affiliation {
  _hash_id: ID
  institution: String!
  laboratory: String!
  authors(
    first: Int = 0
    offset: Int = 0
    orderBy: [_AuthorOrdering] = []
    filter: _AuthorFilter
  ): [Author]
  affiliation_has_location(
    first: Int = 0
    offset: Int = 0
    orderBy: [_LocationOrdering] = []
    filter: _LocationFilter
  ): [Location]
  _id: String
}
```

### Fields

#### `_hash_id` ([`ID`](/docs/api/scalars/id))

#### `institution` ([`String!`](/docs/api/scalars/string))

#### `laboratory` ([`String!`](/docs/api/scalars/string))

#### `authors` ([`[Author]`](/docs/api/objects/author))

- ##### `first` ([`Int`](/docs/api/scalars/int))

- ##### `offset` ([`Int`](/docs/api/scalars/int))

- ##### `orderBy` ([`[_AuthorOrdering]`](/docs/api/enums/author-ordering))

- ##### `filter` ([`_AuthorFilter`](/docs/api/inputs/author-filter))

#### `affiliation_has_location` ([`[Location]`](/docs/api/objects/location))

- ##### `first` ([`Int`](/docs/api/scalars/int))

- ##### `offset` ([`Int`](/docs/api/scalars/int))

- ##### `orderBy` ([`[_LocationOrdering]`](/docs/api/enums/location-ordering))

- ##### `filter` ([`_LocationFilter`](/docs/api/inputs/location-filter))

#### `_id` ([`String`](/docs/api/scalars/string))

Generated field for querying the Neo4j [system id](https://neo4j.com/docs/cypher-manual/current/functions/scalar/#functions-id) of this node.
